Class = require "hump.class"
vector = require "hump.vector"
PrettyPrint = require "libs.pp.PrettyPrint"
Trigger = require "trigger"

FoodPlace = Class{
    init = function(self,pos,r, food)
        Trigger.init(self,pos,r)
        self.food = food or 100
        --self.gatheringActive = false
    end
}
FoodPlace.include(Trigger)

function FoodPlace:gather(n)
	local n = n or 1
    if self.food - n > 0 then
        self.food = self.food - n
        --self.gatheringActive = true
        return n
    else
        local f = self.food
        self.food = 0
        return f
    end
end

function FoodPlace:draw()
    if self.gatheringActive then
	   love.graphics.setColor( 0, 255, 0, 255 )
    end
    if self.food > 0 then
        love.graphics.circle( "fill", self.pos.x, self.pos.y, self.r, 100 )
    end
    love.graphics.setColor( 255, 255, 255, 255 )
end

function FoodPlace:blink()

end

return FoodPlace