Class = require "hump.class"
vector = require "hump.vector"
PrettyPrint = require "libs.pp.PrettyPrint"

Obstacle = Class{
    init = function(self,pos,r)
        self.pos = pos
        self.r = r
    end
}

function Obstacle:update(dt)
	for i, actor in ipairs(playerGroup.member) do
		self:pushBack(dt,actor)
	end
end

function Obstacle:collide(actor)
    return self.pos:dist(actor.pos) < self.r + actor:r()
end

function Obstacle:pushBack(dt, actor)
    if self:collide(actor) then
    	local back = self.pos - actor.pos
    	local side = back:rotated(90)
    	actor.pos = actor.pos + ((back+side)*dt)
    end
end

return Trigger